// Map Demo

float x1, y1, diam1;
float rectX, rectY, rectDim;
float boundingDim;

void setup( )
{
  size( 400, 400 );
  rectMode( CENTER );
  rectX = width/2;
  rectY = height/2;  
  rectDim = 10;
  boundingDim = 200;
}

void draw( )
{
  prepareWindow( );
  moveFigs( );
  drawFigs( );
}

void moveFigs( )
{
  x1 = map( mouseX, 0, width, rectX-boundingDim/2, rectX+boundingDim/2);
  y1 = map( mouseY, 0, height, rectY-boundingDim/2, rectY+boundingDim/2);
}

void drawFigs( )
{
  fill( 255, 0, 0 );
  rect( x1, y1, rectDim, rectDim ); 
}

void prepareWindow( )
{
   fill( 255);
   rect( width/2, height/2, width, height );
   noFill( );
   rect( width/2, height/2, boundingDim, boundingDim ); 
}
